# dec2base

Convert decimal to base N number in string

## Calling Sequence

    str = dec2base(d, base)

    str = dec2base(d, base, n)

## Arguments

str

  matrix of strings corresponding to "base" representation

base

  1-by-1 matrix of doubles, positive integer value, the base

d

  matrix of doubles, positive integer values

## Description

`str = dec2base(d, base)` converts the nonnegative integer values of `d` to the specified base `base`.

`d` must have a nonnegative integers smaller than 2^52, and `base` must be an integer between 2 and 36.

The returned argument `str` is a matrix of strings.

`str = dec2base(d, base, n)` produces a representation with at least `n` digits.

## Examples

    for b = 2:36
     disp( dec2base(666, b) )
    end

## See Also

- base2dec
- bin2dec
- oct2dec
- hex2dec
- dec2bin
- dec2oct
- dec2hex

## History

5.4.0
This function was added in Scilab 5.4.0